import { onGuards, BeforeEachGuardsReturn, NavigateNamesType, RouterLocation } from './types';

export declare class RouterGuardsEvent {
    event: {
        afterEach: Array<onGuards>;
        beforeEach: Array<onGuards<BeforeEachGuardsReturn>>;
    };
    beforeEach(callback: onGuards<BeforeEachGuardsReturn>): () => void;
    afterEach(callback: onGuards): () => void;
}
export declare class RouterGuards extends RouterGuardsEvent {
    currentRouterPath: import('vue').ShallowRef<(RouterLocation & {
        fullPath: string;
    }) | null>;
    isReady: import('vue').Ref<boolean>;
    constructor();
    fixRouterPath(): import('vue').ShallowRef<(RouterLocation & {
        fullPath: string;
    }) | null> | undefined;
    navigate(to: RouterLocation, navigateName?: NavigateNamesType): Promise<void>;
    navigateTemp(to: RouterLocation, callback?: () => void): Promise<void>;
    ready(to: string): Promise<void>;
}
